# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.545   -> 1.546  
#	drivers/usb/media/vicamurbs.h	1.2     -> 1.3    
#	drivers/usb/media/dabusb.c	1.21    -> 1.22   
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/08/02	greg@kroah.com	1.546
# USB: remove some compiler warnings
# --------------------------------------------
#
diff -Nru a/drivers/usb/media/dabusb.c b/drivers/usb/media/dabusb.c
--- a/drivers/usb/media/dabusb.c	Fri Aug  2 11:14:52 2002
+++ b/drivers/usb/media/dabusb.c	Fri Aug  2 11:14:52 2002
@@ -712,18 +712,6 @@
 	.release =	dabusb_release,
 };
 
-static int dabusb_find_struct (void)
-{
-	int u;
-
-	for (u = 0; u < NRDABUSB; u++) {
-		pdabusb_t s = &dabusb[u];
-		if (!s->usbdev)
-			return u;
-	}
-	return -1;
-}
-
 /* --------------------------------------------------------------------- */
 static void *dabusb_probe (struct usb_device *usbdev, unsigned int ifnum,
 			   const struct usb_device_id *id)
diff -Nru a/drivers/usb/media/vicamurbs.h b/drivers/usb/media/vicamurbs.h
--- a/drivers/usb/media/vicamurbs.h	Fri Aug  2 11:14:52 2002
+++ b/drivers/usb/media/vicamurbs.h	Fri Aug  2 11:14:52 2002
@@ -17,11 +17,13 @@
 
 /* Request 0x51 Image Setup */
 
+#if 0
 /* 128x98 ? 0x3180 size */
 static unsigned char s128x98bw[] = {
   0,    0x34, 0xC4, 0x00, 0x00, 0x00, 0,    0,
   0x18, 0x02, 0x00, 0x00, 0x40, 0x00, 0x00, 0x00
 };
+#endif
 
 /* 128x122 3D80 size */
 static unsigned char s128x122bw[] = {
